---
extracts:
# Not Nullable. Can't have no access, retrieved via backup:ListRecoveryPointsByBackupVault
  - name: CA10A1__kmsMasterKeyId__c
    value: 
      FIELD:
        path: CA10A1__kmsMasterKeyId__c
# Values: COMPLETED | PARTIAL | DELETING | EXPIRED | AVAILABLE | STOPPED | CREATING
# Not Nullable. Can't have no access, retrieved via backup:ListRecoveryPointsByBackupVault
  - name: CA10A1__status__c
    value: 
      FIELD:
        path: CA10A1__status__c
# Nullable. Can't have no access, retrieved via backup:ListRecoveryPointsByBackupVault
  - name: CA10A1__calcLifecycleDeleteAt__c
    value: 
      FIELD:
        path: CA10A1__calcLifecycleDeleteAt__c
# Not nullable.
  - name: "CA10A1__creationDate__c"
    value: 
      FIELD:
        path: "CA10A1__creationDate__c"
        undeterminedIf:
          noAccessDelegate:
            path: "CA10A1__creationDate__c"
            currentStateMessage: "Backup Recovery Point creation date cannot be empty."